function ls_nodes.storage_form(pos, name)
   local meta = minetest.get_meta(pos)
   local existing_name = meta:get_string('infotext')
   name = existing_name or 'Chest'
   local key = pos.x .. "," .. pos.y .. "," .. pos.z
   local formspec =
   'formspec_version[7]'..
   'size[21,6]'..
   'position[.5,.7]'..
   'anchor[.5,.5]'..
   'bgcolor[#000000;neither]'..
   'background[-1,-1;23,8;ls_core_21x6.png;false]'..
   'listcolors[#00000000;#ffffff25]'..
   'hypertext[0,0;10,1.5;;<style color=#93826e font=normal size=30><center>Your Inventory</center></style>]'..
   'hypertext[11.125,0;10.25,1.5;;<style color=#93826e font=normal size=30><center>Chest\'s Inventory</center></style>]'..
   ls_core.inv_slot_bg(11.125,1.125,8,4)..
   'list[nodemeta:'..key..';main;11.125,1.125;8,4;]'..
--   'field[1.3,4.3;2,1;description;;'..name..']'..
--   'button[0,5;1,1;save;Save]'..
   ls_core.inv_slot_bg(.125,1.125,8,4)..
   'list[current_player;main;.125,1.125;8,4;]'..
   'listring[]'
   return formspec
end
